# INTELMapTexture (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengl
Class INTELMapTexture

    java.lang.Object
      org.lwjgl.opengl.INTELMapTexture

    public final class INTELMapTexture

extends java.lang.Object

Field Summary
`static int` `GL_LAYOUT_DEFAULT_INTEL` Accepted by the <params> when <pname> is set to <TEXTURE_MEMORY_LAYOUT_INTEL>:
`static int` `GL_LAYOUT_LINEAR_CPU_CACHED_INTEL` Accepted by the <params> when <pname> is set to <TEXTURE_MEMORY_LAYOUT_INTEL>:
`static int` `GL_LAYOUT_LINEAR_INTEL` Accepted by the <params> when <pname> is set to <TEXTURE_MEMORY_LAYOUT_INTEL>:
`static int` `GL_TEXTURE_MEMORY_LAYOUT_INTEL` Accepted by the <pname> parameter of TexParameteri, for target TEXTURE_2D

Method Summary
`static java.nio.ByteBuffer` `glMapTexture2DINTEL(int texture, int level, long length, int access, java.nio.IntBuffer stride, java.nio.IntBuffer layout, java.nio.ByteBuffer old_buffer)` The length parameter does not exist in the native API.
`static void` `glSyncTextureINTEL(int texture)`
`static void` `glUnmapTexture2DINTEL(int texture, int level)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_TEXTURE_MEMORY_LAYOUT_INTEL

    public static final int GL_TEXTURE_MEMORY_LAYOUT_INTEL

  Accepted by the <pname> parameter of TexParameteri, for target TEXTURE_2D

  See Also:
    Constant Field Values

### GL_LAYOUT_DEFAULT_INTEL

    public static final int GL_LAYOUT_DEFAULT_INTEL

  Accepted by the <params> when <pname> is set to <TEXTURE_MEMORY_LAYOUT_INTEL>:

  See Also:
    Constant Field Values

### GL_LAYOUT_LINEAR_INTEL

    public static final int GL_LAYOUT_LINEAR_INTEL

  Accepted by the <params> when <pname> is set to <TEXTURE_MEMORY_LAYOUT_INTEL>:

  See Also:
    Constant Field Values

### GL_LAYOUT_LINEAR_CPU_CACHED_INTEL

    public static final int GL_LAYOUT_LINEAR_CPU_CACHED_INTEL

  Accepted by the <params> when <pname> is set to <TEXTURE_MEMORY_LAYOUT_INTEL>:

  See Also:
    Constant Field Values

Method Detail

### glMapTexture2DINTEL

    public static java.nio.ByteBuffer glMapTexture2DINTEL(int texture,
                                                          int level,
                                                          long length,
                                                          int access,
                                                          java.nio.IntBuffer stride,
                                                          java.nio.IntBuffer layout,
                                                          java.nio.ByteBuffer old_buffer)

  The length parameter does not exist in the native API. It used by LWJGL to return a ByteBuffer with a proper capacity.

### glUnmapTexture2DINTEL

    public static void glUnmapTexture2DINTEL(int texture,
                                             int level)

### glSyncTextureINTEL

    public static void glSyncTextureINTEL(int texture)

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.